---
title: Order API v1
description: "**Note:** This is the V1 version of the Order API which supports member checkout payment flows. If you need to support guest checkout payment flows, use the [V2 version](/develop/api/buy/order_v2_api) of the Order API. The **Order API** **v1** is part of the eBay Buy APIs. It is used to purchase items and track the purchase orders. The Order API v1 supports the complete checkout process. Use the Order API with the other Buy APIs to create a buying application that lets eBay members buy from eBay sellers without visiting the eBay site. The Buy APIs provide the ability to purchase eBay items from your app or website. **Note:** This is a [![](https://developer.ebay.com/cms/img/docs/partners-api.svg \"Limited Release\")(Limited Release)](/api-docs/static/versioning.html#limited) API available only to select developers approved by business units. For information on how to obtain access to this API in production, see the [Buy APIs Requirements](/api-docs/buy/static/buy-requirements.html)."
api_version: v1_beta.36.3
api_name: order_api_v1
api_type: REST
api_group: buy/order_api_v1
source_url:
  html: https://developer.ebay.com/develop/api/buy/order_api_v1
  md: https://developer.ebay.com/develop/api/buy/order_api_v1.md
---

# Order API v1 API

**Note:** This is the V1 version of the Order API which supports member checkout payment flows. If you need to support guest checkout payment flows, use the [V2 version](/develop/api/buy/order_v2_api) of the Order API.

  
The **Order API** **v1** is part of the eBay Buy APIs. It is used to purchase items and track the purchase orders. The Order API v1 supports the complete checkout process. Use the Order API with the other Buy APIs to create a buying application that lets eBay members buy from eBay sellers without visiting the eBay site. The Buy APIs provide the ability to purchase eBay items from your app or website.  
  

**Note:** This is a [![](https://developer.ebay.com/cms/img/docs/partners-api.svg "Limited Release")(Limited Release)](/api-docs/static/versioning.html#limited) API available only to select developers approved by business units. For information on how to obtain access to this API in production, see the [Buy APIs Requirements](/api-docs/buy/static/buy-requirements.html).

## API Information

**Title:** Order API
**Version:** v1_beta.36.3
**Description:** **Note:** This is the v1 version of the Order API which supports member checkout payment flows. If you need to support guest checkout payment flows, please use the [v2 version](/develop/api/buy/order_v2_api) of the Order API.  
  
**Note:** This is a [![Limited Release](/cms/img/docs/partners-api.svg "Limited Release")(Limited Release)](<https://developer.ebay.com/api-docs/static/versioning.html#limited >) API available only to select developers approved by business units.  
  
The Order API provides interfaces that let eBay members pay for items. It also returns payment and shipping status of the order.
**Base Path:** /buy/order/v1

## API Methods

The following API methods are available:

### applyCoupon

#### POST /checkout_session/{checkoutSessionId}/apply_coupon
**Description:** **Important!**[![Limited Release](/cms/img/docs/partners-api.svg "Limited Release")(Limited Release)](<https://developer.ebay.com/api-docs/static/versioning.html#limited >) You must be whitelisted to use this method.

This method adds a coupon to an eBay checkout session and applies it to all the eligible items in the order.

The **checkoutSessionId** is passed in as a URI parameter and is required. The redemption code of the coupon is in the payload and is also required.

##### **Restrictions**

*   **Maximum:** One coupon per order
*   For a list of supported sites and other restrictions, see [API Restrictions](/api-docs/buy/static/ref-marketplace-supported.html) in the Buy Integration Guide.
**Parameters:**
- **checkoutSessionId** (string) *required*
  - This path parameter specifies the unique eBay-assigned session identifier for a specific eBay marketplace.  
  
This value is returned by the [initiateGuestCheckoutSession](/develop/api/buy/order_api_v2#buy-order_api_v2-guest_checkout_session-initiateguestcheckoutsession) method.  
  
**Note:** When using this ID, the X-EBAY-C-MARKETPLACE-ID value and developer App ID must be the same as that used when this guest checkout session was created. See [Checkout session restrictions](/api-docs/buy/static/ref-marketplace-supported.html) in the Buy Integration Guide for details.
- **Content-Type** (string) *required*
  - This header indicates the format of the request body provided by the client. Its value should be set to **application/json**.
- **X-EBAY-C-ENDUSERCTX** (string)
  - This header is used to specify the **deviceId** for the device/user attempting to make the call. It contains an alphanumeric string that allows a payment gateway to track an API call attempt and confirm that it is a verified payment attempt by a device/user.
- **X-EBAY-C-MARKETPLACE-ID** (string) *required*
  - This header identifies the eBay marketplace where the order will occur.  
  
**Note:** For this method, this value must match the **X-EBAY-C-MARKETPLACE-ID** used when the associated checkout session was created.  
See [HTTP request headers](</api-docs/static/rest-request-components.html#marketpl >) for the marketplace ID values.
**OAuth scope**

This request requires an access token created with the **Authorization Code Grant** flow, using one or more scopes from the following list (please check your Application Keys page for a list of OAuth scopes available to your application):

**Required Scopes:**

**Authorization Code Grant:**

- `https://api.ebay.com/oauth/api_scope/buy.order`


### getCheckoutSession

#### GET /checkout_session/{checkoutSessionId}
**Description:** This method returns the details of the specified eBay member checkout session. The **checkoutSessionId** is passed in as a URI parameter and is required. This method has no request payload.

##### **Restrictions**

For a list of supported sites and other restrictions, see [API Restrictions](/api-docs/buy/static/ref-marketplace-supported.html) in the Buy Integration Guide.
**Parameters:**
- **checkoutSessionId** (string) *required*
  - This path parameter specifies the unique eBay-assigned session identifier for a specific eBay marketplace.  
  
This value is returned by the [initiateGuestCheckoutSession](/develop/api/buy/order_v2_api#buy-order_v2_api-guest_checkout_session-initiateguestcheckoutsession) method.  
  
**Note:** When using this ID, the X-EBAY-C-MARKETPLACE-ID value and developer App ID must be the same as that used when this guest checkout session was created. See [Checkout session restrictions](/api-docs/buy/static/ref-marketplace-supported.html) in the Buy Integration Guide for details.
- **X-EBAY-C-ENDUSERCTX** (string)
  - This header is used to specify the **deviceId** for the device/user attempting to make the call. It contains an alphanumeric string that allows a payment gateway to track an API call attempt and confirm that it is a verified payment attempt by a device/user.
- **X-EBAY-C-MARKETPLACE-ID** (string) *required*
  - This header identifies the eBay marketplace where the order will occur.  
  
**Note:** For this method, this value must match the **X-EBAY-C-MARKETPLACE-ID** used when the associated checkout session was created.  
See [HTTP request headers](</api-docs/static/rest-request-components.html#marketpl >) for the marketplace ID values.
**OAuth scope**

This request requires an access token created with the **Authorization Code Grant** flow, using one or more scopes from the following list (please check your Application Keys page for a list of OAuth scopes available to your application):

**Required Scopes:**

**Authorization Code Grant:**

- `https://api.ebay.com/oauth/api_scope/buy.order`


### initiateCheckoutSession

#### POST /checkout_session/initiate
**Description:** This method creates an eBay member checkout session, which is the first step in performing a checkout. You use this method to create a checkout session before you can process a checkout. If the address submitted cannot be validated, a warning message will be returned.  
  
The method returns a **checkoutSessionId** that you use as a URI parameter in subsequent checkout methods.  
  
Also see [Negative Testing Using Stubs](</api-docs/buy/static/ref-buy-negative-testing.html >) for information on how to emulate error conditions for this method using stubs.  
  
**Tip:** To test the entire checkout flow, you might need a 'test' credit card. You can generate a credit card number from [http://www.getcreditcardnumbers.com](<http://www.getcreditcardnumbers.com >).

##### Restrictions

For a list of supported sites and other restrictions, see [API Restrictions](/api-docs/buy/static/ref-marketplace-supported.html) in the Buy Integration Guide.
**Parameters:**
- **Content-Type** (string) *required*
  - This header indicates the format of the request body provided by the client. Its value should be set to **application/json**.
- **X-EBAY-C-ENDUSERCTX** (string)
  - This header is used to specify the **deviceId** for the device/user attempting to make the call.  
  
It contains an alphanumeric string that allows a payment gateway to track an API call attempt and confirm that it is a verified payment attempt by a device/user.
- **X-EBAY-C-MARKETPLACE-ID** (string) *required*
  - This header identifies the eBay marketplace where the order will occur.  
  
See [HTTP request headers](</api-docs/static/rest-request-components.html#marketpl >) for the marketplace ID values.
**OAuth scope**

This request requires an access token created with the **Authorization Code Grant** flow, using one or more scopes from the following list (please check your Application Keys page for a list of OAuth scopes available to your application):

**Required Scopes:**

**Authorization Code Grant:**

- `https://api.ebay.com/oauth/api_scope/buy.order`


### placeOrder

#### POST /checkout_session/{checkoutSessionId}/place_order
**Description:** This method creates the purchase order, pays for the items, and terminates the specified eBay member checkout session. The **checkoutSessionId** is passed in as a URI parameter and is required. Although there is not a request payload, for this method you must pass in `{ }` in the request body.

Also see [Negative Testing Using Stubs](/api-docs/buy/static/ref-buy-negative-testing.html) for information on how to emulate error conditions for this method using stubs.

##### Restrictions

For a list of supported sites and other restrictions, see [API Restrictions](/api-docs/buy/static/ref-marketplace-supported.html) in the Buy Integration Guide.

**Note:** If the credit card is declined, the checkout session is unusable. You will need to create a new checkout session for the order using the **initiateCheckoutSession** method.
**Parameters:**
- **checkoutSessionId** (string) *required*
  - This path parameter specifies the unique eBay-assigned session identifier for a specific eBay marketplace.  
  
This value is returned by the [initiateGuestCheckoutSession](/develop/api/buy/order_api_v2#buy-order_api_v2-guest_checkout_session-initiateguestcheckoutsession) method.  
  
**Note:** When using this ID, the X-EBAY-C-MARKETPLACE-ID value and developer App ID must be the same as that used when this guest checkout session was created. See [Checkout session restrictions](/api-docs/buy/static/ref-marketplace-supported.html) in the Buy Integration Guide for details.
- **X-EBAY-C-ENDUSERCTX** (string)
  - This header is used to specify the **deviceId** for the device/user attempting to make the call.  
  
It contains an alphanumeric string that allows a payment gateway to track an API call attempt and confirm that it is a verified payment attempt by a device/user.
- **X-EBAY-C-MARKETPLACE-ID** (string) *required*
  - This header identifies the eBay marketplace where the order will occur.  
  
**Note:** For this method, this value must match the **X-EBAY-C-MARKETPLACE-ID** used when the associated checkout session was created.  
See [HTTP request headers](</api-docs/static/rest-request-components.html#marketpl >) for the marketplace ID values.
**OAuth scope**

This request requires an access token created with the **Authorization Code Grant** flow, using one or more scopes from the following list (please check your Application Keys page for a list of OAuth scopes available to your application):

**Required Scopes:**

**Authorization Code Grant:**

- `https://api.ebay.com/oauth/api_scope/buy.order`


### removeCoupon

#### POST /checkout_session/{checkoutSessionId}/remove_coupon
**Description:** [![Limited Release](/cms/img/docs/partners-api.svg "Limited Release")(Limited Release)](https://developer.ebay.com/api-docs/static/versioning.html#limited) You must be whitelisted to use this method.

This method removes a coupon from an eBay member checkout session. The **checkoutSessionId** is passed in as a URI parameter and is required. The redemption code of the coupon is specified in the payload and is also required.

##### **Restrictions**

For a list of supported sites and other restrictions, see [API Restrictions](/api-docs/buy/static/ref-marketplace-supported.html) in the Buy Integration Guide.
**Parameters:**
- **checkoutSessionId** (string) *required*
  - This path parameter specifies the unique eBay-assigned session identifier for a specific eBay marketplace.  
  
This value is returned by the [initiateGuestCheckoutSession](/develop/api/buy/order_api_v2#buy-order_api_v2-guest_checkout_session-initiateguestcheckoutsession) method.  
  
**Note:** When using this ID, the X-EBAY-C-MARKETPLACE-ID value and developer App ID must be the same as that used when this guest checkout session was created. See [Checkout session restrictions](/api-docs/buy/static/ref-marketplace-supported.html) in the Buy Integration Guide for details.
- **Content-Type** (string) *required*
  - This header indicates the format of the request body provided by the client. Its value should be set to **application/json**.  
  
For more information, refer to [HTTP request headers](/api-docs/static/rest-request-components.html#HTTP).
- **X-EBAY-C-ENDUSERCTX** (string)
  - This header is used to specify the **deviceId** for the device/user attempting to make the call. It contains an alphanumeric string that allows a payment gateway to track an API call attempt and confirm that it is a verified payment attempt by a device/user.
- **X-EBAY-C-MARKETPLACE-ID** (string) *required*
  - This header identifies the eBay marketplace where the order will occur.  
  
**Note:** For this method, this value must match the **X-EBAY-C-MARKETPLACE-ID** used when the associated checkout session was created.  
See [HTTP request headers](</api-docs/static/rest-request-components.html#marketpl >) for the marketplace ID values.
**OAuth scope**

This request requires an access token created with the **Authorization Code Grant** flow, using one or more scopes from the following list (please check your Application Keys page for a list of OAuth scopes available to your application):

**Required Scopes:**

**Authorization Code Grant:**

- `https://api.ebay.com/oauth/api_scope/buy.order`


### updateAddonServicesStatus

#### POST /checkout_session/{checkoutSessionId}/update_add_on_services_status
**Description:** This method changes the selection of add-on services for one line item for the checkout session.
**Parameters:**
- **checkoutSessionId** (string) *required*
  - This path parameter specifies the unique eBay-assigned session identifier for a specific eBay marketplace.  
  
This value is returned by the [initiateGuestCheckoutSession](/develop/api/buy/order_v2_api#buy-order_v2_api-guest_checkout_session-initiateguestcheckoutsession) method.  
  
**Note:** When using this ID, the X-EBAY-C-MARKETPLACE-ID value and developer App ID must be the same as that used when this guest checkout session was created. See [Checkout session restrictions](/api-docs/buy/static/ref-marketplace-supported.html) in the Buy Integration Guide for details.
- **Content-Type** (string) *required*
  - This header indicates the format of the request body provided by the client. Its value should be set to **application/json**.
- **X-EBAY-C-ENDUSERCTX** (string)
  - This header is used to specify the **deviceId** for the device/user attempting to make the call. It contains an alphanumeric string that allows a payment gateway to track an API call attempt and confirm that it is a verified payment attempt by a device/user.
- **X-EBAY-C-MARKETPLACE-ID** (string) *required*
  - This header identifies the eBay marketplace where the order will occur.  
  
**Note:** For this method, this value must match the **X-EBAY-C-MARKETPLACE-ID** used when the associated checkout session was created.  
See [HTTP request headers](</api-docs/static/rest-request-components.html#marketpl >) for the marketplace ID values.
**OAuth scope**

This request requires an access token created with the **Authorization Code Grant** flow, using one or more scopes from the following list (please check your Application Keys page for a list of OAuth scopes available to your application):

**Required Scopes:**

**Authorization Code Grant:**

- `https://api.ebay.com/oauth/api_scope/buy.order`


### updatePaymentInfo

#### POST /checkout_session/{checkoutSessionId}/update_payment_info
**Description:** **Important!** This method has been deprecated and will be decommissioned on June 2nd, 2026.

  

This method changes the payment method information of the specified eBay member checkout session.

##### **Restrictions**

For a list of supported sites and other restrictions, see [API Restrictions](/api-docs/buy/static/ref-marketplace-supported.html) in the Buy Integration Guide.
**Parameters:**
- **checkoutSessionId** (string) *required*
  - This path parameter specifies the unique eBay-assigned session identifier for a specific eBay marketplace.  
  
This value is returned by the [initiateGuestCheckoutSession](/develop/api/buy/order_api_v2#buy-order_api_v2-guest_checkout_session-initiateguestcheckoutsession) method.  
  
**Note:** When using this ID, the X-EBAY-C-MARKETPLACE-ID value and developer App ID must be the same as that used when this guest checkout session was created. See [Checkout session restrictions](/api-docs/buy/static/ref-marketplace-supported.html) in the Buy Integration Guide for details.
- **Content-Type** (string) *required*
  - This header indicates the format of the request body provided by the client. Its value should be set to **application/json**.
- **X-EBAY-C-ENDUSERCTX** (string)
  - This header is used to specify the **deviceId** for the device/user attempting to make the call. It contains an alphanumeric string that allows a payment gateway to track an API call attempt and confirm that it is a verified payment attempt by a device/user.
- **X-EBAY-C-MARKETPLACE-ID** (string) *required*
  - This header identifies the eBay marketplace where the order will occur.  
  
**Note:** For this method, this value must match the **X-EBAY-C-MARKETPLACE-ID** used when the associated checkout session was created.  
See [HTTP request headers](</api-docs/static/rest-request-components.html#marketpl >) for the marketplace ID values.
**OAuth scope**

This request requires an access token created with the **Authorization Code Grant** flow, using one or more scopes from the following list (please check your Application Keys page for a list of OAuth scopes available to your application):

**Required Scopes:**

**Authorization Code Grant:**

- `https://api.ebay.com/oauth/api_scope/buy.order`


### updateQuantity

#### POST /checkout_session/{checkoutSessionId}/update_quantity
**Description:** This method changes the quantity of the specified line item in an eBay member checkout session.  
  
**Note:** This method is **not** applicable to auction item checkouts, as the **quantity** field must be `1`. If this field is updated to any other value, an error will be returned.

##### **Restrictions**

For a list of supported sites and other restrictions, see [API Restrictions](/api-docs/buy/static/ref-marketplace-supported.html) in the Buy Integration Guide.
**Parameters:**
- **checkoutSessionId** (string) *required*
  - This path parameter specifies the unique eBay-assigned session identifier for a specific eBay marketplace.  
  
This value is returned by the [initiateGuestCheckoutSession](/develop/api/buy/order_api_v2#buy-order_api_v2-guest_checkout_session-initiateguestcheckoutsession) method.  
  
**Note:** When using this ID, the X-EBAY-C-MARKETPLACE-ID value and developer App ID must be the same as that used when this guest checkout session was created. See [Checkout session restrictions](/api-docs/buy/static/ref-marketplace-supported.html) in the Buy Integration Guide for details.
- **Content-Type** (string) *required*
  - This header indicates the format of the request body provided by the client. Its value should be set to **application/json**.
- **X-EBAY-C-ENDUSERCTX** (string)
  - This header is used to specify the **deviceId** for the device/user attempting to make the call.  
  
It contains an alphanumeric string that allows a payment gateway to track an API call attempt and confirm that it is a verified payment attempt by a device/user.
- **X-EBAY-C-MARKETPLACE-ID** (string) *required*
  - This header identifies the eBay marketplace where the order will occur.  
  
**Note:** For this method, this value must match the **X-EBAY-C-MARKETPLACE-ID** used when the associated checkout session was created.  
See [HTTP request headers](</api-docs/static/rest-request-components.html#marketpl >) for the marketplace ID values.
**OAuth scope**

This request requires an access token created with the **Authorization Code Grant** flow, using one or more scopes from the following list (please check your Application Keys page for a list of OAuth scopes available to your application):

**Required Scopes:**

**Authorization Code Grant:**

- `https://api.ebay.com/oauth/api_scope/buy.order`


### updateShippingAddress

#### POST /checkout_session/{checkoutSessionId}/update_shipping_address
**Description:** This method changes the shipping address for in an eBay member checkout session. All the line items in an order must be shipped to the same address, but the shipping method can be specific to the line item.  
  
**Note:** If the address submitted cannot be validated, a warning message will be returned. This does not prevent the method from executing, but you may want to verify the address.

##### **Restrictions**

For a list of supported sites and other restrictions, see [API Restrictions](/api-docs/buy/static/ref-marketplace-supported.html) in the Buy Integration Guide.
**Parameters:**
- **checkoutSessionId** (string) *required*
  - This path parameter specifies the unique eBay-assigned session identifier for a specific eBay marketplace.  
  
This value is returned by the [initiateGuestCheckoutSession](/develop/api/buy/order_api_v2#buy-order_api_v2-guest_checkout_session-initiateguestcheckoutsession) method.  
  
**Note:** When using this ID, the X-EBAY-C-MARKETPLACE-ID value and developer App ID must be the same as that used when this guest checkout session was created. See [Checkout session restrictions](/api-docs/buy/static/ref-marketplace-supported.html) in the Buy Integration Guide for details.
- **Content-Type** (string) *required*
  - This header indicates the format of the request body provided by the client. Its value should be set to **application/json**.
- **X-EBAY-C-ENDUSERCTX** (string)
  - This header is used to specify the **deviceId** for the device/user attempting to make the call. It contains an alphanumeric string that allows a payment gateway to track an API call attempt and confirm that it is a verified payment attempt by a device/user.
- **X-EBAY-C-MARKETPLACE-ID** (string) *required*
  - This header identifies the eBay marketplace where the order will occur.  
  
**Note:** For this method, this value must match the **X-EBAY-C-MARKETPLACE-ID** used when the associated checkout session was created.  
See [HTTP request headers](</api-docs/static/rest-request-components.html#marketpl >) for the marketplace ID values.
**OAuth scope**

This request requires an access token created with the **Authorization Code Grant** flow, using one or more scopes from the following list (please check your Application Keys page for a list of OAuth scopes available to your application):

**Required Scopes:**

**Authorization Code Grant:**

- `https://api.ebay.com/oauth/api_scope/buy.order`


### updateShippingOption

#### POST /checkout_session/{checkoutSessionId}/update_shipping_option
**Description:** This method changes the shipping method for the specified line item in an eBay member checkout session. The shipping option can be set for each line item. This gives the shopper the ability choose the cost of shipping for each line item.

##### **Restrictions**

For a list of supported sites and other restrictions, see [API Restrictions](/api-docs/buy/static/ref-marketplace-supported.html) in the Buy Integration Guide.
**Parameters:**
- **checkoutSessionId** (string) *required*
  - This path parameter specifies the unique eBay-assigned session identifier for a specific eBay marketplace.  
  
This value is returned by the [initiateGuestCheckoutSession](/develop/api/buy/order_api_v2#buy-order_api_v2-guest_checkout_session-initiateguestcheckoutsession) method.  
  
**Note:** When using this ID, the X-EBAY-C-MARKETPLACE-ID value and developer App ID must be the same as that used when this guest checkout session was created. See [Checkout session restrictions](/api-docs/buy/static/ref-marketplace-supported.html) in the Buy Integration Guide for details.
- **Content-Type** (string) *required*
  - This header indicates the format of the request body provided by the client. Its value should be set to **application/json**.
- **X-EBAY-C-ENDUSERCTX** (string)
  - This header is used to specify the **deviceId** for the device/user attempting to make the call.  
  
It contains an alphanumeric string that allows a payment gateway to track an API call attempt and confirm that it is a verified payment attempt by a device/user.
- **X-EBAY-C-MARKETPLACE-ID** (string) *required*
  - This header identifies the eBay marketplace where the order will occur.  
  
**Note:** For this method, this value must match the **X-EBAY-C-MARKETPLACE-ID** used when the associated checkout session was created.  
See [HTTP request headers](</api-docs/static/rest-request-components.html#marketpl >) for the marketplace ID values.
**OAuth scope**

This request requires an access token created with the **Authorization Code Grant** flow, using one or more scopes from the following list (please check your Application Keys page for a list of OAuth scopes available to your application):

**Required Scopes:**

**Authorization Code Grant:**

- `https://api.ebay.com/oauth/api_scope/buy.order`


### getPurchaseOrder

#### GET /purchase_order/{purchaseOrderId}
**Description:** This method retrieves the details about a specific eBay member purchase order. It returns the line items, including purchase order status; dates created and modified; item quantity and listing data; payment and shipping information; and prices, taxes, and discounts and credits.

The **purchaseOrderId** is passed in as a URI parameter and is required. This method has no request payload.

The [placeOrder](/develop/api/buy/order_api_v1#buy-order_api_v1-checkout_session-placeorder) method initiates the payment process, which can sometimes take a few minutes. You can use this method to not only get the details of a purchase order but to check the value of the [purchaseOrderPaymentStatus](/develop/api/buy/order_v1_api#buy-order_api_v1-checkout_session-placeorder.purchaseordersummary.purchaseorderpaymentstatus) field to determine if the order has been paid for. If the order has been paid for, this field will return `PAID`.

This method also returns the **legacyItemId**, **legacyTransactionId**, and **legacyOrderId** fields. The values in these fields enable eBay partners to use the [Post Order API](<https://developer.ebay.com/Devzone/post-order/index.html#CallIndex >) for eBay member checkouts, to process a return or cancellation. For more information, see [Post order tasks](/api-docs/buy/static/api-order.html#Post) in the Buy Integration Guide.

##### **Restrictions**

For a list of supported sites and other restrictions, see [API Restrictions](/api-docs/buy/static/ref-marketplace-supported.html) in the Buy Integration Guide.
**Parameters:**
- **purchaseOrderId** (string) *required*
  - This path parameter specifies the unique identifier of a purchase order made by an eBay member, for which details are to be retrieved.  
  
This value is returned by the [placeOrder](/develop/api/buy/order_api_v1#buy-order_api_v1-checkout_session-placeorder) method in the **purchaseOrderId** field.
**OAuth scope**

This request requires an access token created with the **Authorization Code Grant** flow, using one or more scopes from the following list (please check your Application Keys page for a list of OAuth scopes available to your application):

**Required Scopes:**

**Authorization Code Grant:**

- `https://api.ebay.com/oauth/api_scope/buy.order`
- `https://api.ebay.com/oauth/api_scope/buy.order.readonly`


## Error Codes

The following error codes may be returned by this API:

### REQUEST Errors

#### 15001 - API_ORDER
**Description:** Missing field: {fieldName}. The indicated field is required for this request. Add the field and resubmit the call.

#### 15002 - API_ORDER
**Description:** Invalid field: {fieldName}. The indicated field contains an invalid value. This error can be returned due to multiple scenarios. Please refer to [Order API error details](/api-docs/buy/static/api-order.html#errordetails) for assistance on troubleshooting the issue.

#### 15003 - API_ORDER
**Description:** The checkout session requested does not exist.

#### 15025 - API_ORDER
**Description:** The App is not authorized to access this resource.

#### 15029 - API_ORDER
**Description:** The X-EBAY-C-MARKETPLACE-ID value {fieldValue} is invalid for this checkout session because it is different from the X-EBAY-C-MARKETPLACE-ID header value used to create the session. For all calls in this checkout session, you must use X-EBAY-C-MARKETPLACE-ID {supportedValues}.

#### 16002 - API_ORDER
**Description:** The coupon does not exist. The coupon was ignored and no discount was applied to this order.

#### 16003 - API_ORDER
**Description:** The coupon has expired. No discount was applied to this order.

#### 16004 - API_ORDER
**Description:** The coupon has not been activated. The coupon was ignored and no discount was applied to this order.

#### 16006 - API_ORDER
**Description:** The coupon code is invalid. The coupon was ignored and no discount was applied to this order.

#### 16022 - API_ORDER
**Description:** The coupon code is invalid. The coupon was ignored and no discount was applied to this order.

#### 16024 - API_ORDER
**Description:** The coupon provided could not be applied. You may proceed with this session or provide another coupon.

#### 15048 - API_ORDER
**Description:** The value of {fieldName} is too long. For more information, see the documentation for this call.

#### 17002 - API_ORDER
**Description:** Invalid character(s) found in the shipping address. Please check name and shipping address fields, remove invalid character(s) and resubmit the call.

#### 15004 - API_ORDER
**Description:** The buyer's credit card information is missing. Please submit the buyer's credit card information using updatePaymentInfo method.

#### 16025 - API_ORDER
**Description:** The coupon was not applied to this cart.

### BUSINESS Errors

#### 15019 - API_ORDER
**Description:** To place an order, you must have at least one line item. Use the initiateCheckoutSession call to add line items (maximum of {maxLineItems}) and create a new checkout session.

#### 15021 - API_ORDER
**Description:** This checkout session cannot be updated because the order has already been placed.

#### 15027 - API_ORDER
**Description:** The value {fieldValue} is not supported for the {fieldName}. The supported values are: {supportedValues}.

#### 16000 - API_ORDER
**Description:** The coupon is not valid for any of the items in the order. The coupon was ignored and no discount was applied to this order.

#### 16001 - API_ORDER
**Description:** You cannot apply multiple coupons to the same order. No discount was applied to this order.

#### 16005 - API_ORDER
**Description:** The coupon requires the buyer to spend a specific monetary amount. This threshold has not been met. The coupon was ignored and no discount was applied to this order.

#### 16007 - API_ORDER
**Description:** This coupon has already been used. The coupon was ignored and no discount was applied to this order.

#### 16008 - API_ORDER
**Description:** This coupon is no longer valid. The coupon was ignored and no discount was applied to this order.

#### 16009 - API_ORDER
**Description:** The coupon requires the buyer to spend a specific monetary amount. This threshold has not been met. The coupon was ignored and no discount was applied to this order.

#### 16010 - API_ORDER
**Description:** The coupon is not valid for the currency being used by the items. The coupon was ignored and no discount was applied to this order.

#### 16012 - API_ORDER
**Description:** The coupon is not valid for the {fieldName}. The coupon was ignored and no discount was applied to this order.

#### 16013 - API_ORDER
**Description:** The coupon is not valid for any of the item categories in the order. The coupon was ignored and no discount was applied to this order.

#### 16014 - API_ORDER
**Description:** The coupon is not valid for the selected payment method. The coupon was ignored and no discount was applied to this order.

#### 16015 - API_ORDER
**Description:** The coupon is not valid for the selected shipping option. The coupon was ignored and no discount was applied to this order.

#### 16016 - API_ORDER
**Description:** The coupon is valid only for items that are shipped domestically. The coupon was ignored and no discount was applied to this order.

#### 16017 - API_ORDER
**Description:** The coupon is valid only for items that are shipped internationally. The coupon was ignored and no discount was applied to this order.

#### 16018 - API_ORDER
**Description:** The buyer is not eligible for this coupon. The coupon was ignored and no discount was applied to this order.

#### 16019 - API_ORDER
**Description:** The coupon is not valid for guest eBay checkouts. The coupon was ignored and no discount was applied to this order.

#### 16023 - API_ORDER
**Description:** You cannot apply multiple coupons to the same order. The coupon was ignored and no discount was applied to this order.

#### 15011 - API_ORDER
**Description:** You have exceeded the maximum number of {maxLineItems} line items. Correct the request and resubmit the call.

#### 15012 - API_ORDER
**Description:** There is a limit on the quantity of this item that can be purchased. Reduce the quantity and resubmit the call.

#### 15013 - API_ORDER
**Description:** The quantity value is greater than the quantity available. Correct the quantity value and resubmit the call.

#### 15014 - API_ORDER
**Description:** The quantity submitted for this item is invalid. Correct the quantity value and resubmit the call.

#### 15015 - API_ORDER
**Description:** There is a problem with the credit card and it cannot be used to purchase items. Use the updatePaymentInfo call to change the payment information.

#### 15016 - API_ORDER
**Description:** The buyer is the seller of the item, which is not allowed.

#### 15017 - API_ORDER
**Description:** The payment for the order line items in your cart could not be processed due to issues with one or more sellers.

#### 15018 - API_ORDER
**Description:** The item is not available for purchase. This can be for several reasons including the listing has ended. Remove the item and resubmit the call.

#### 15024 - API_ORDER
**Description:** There is a problem with the buyer's payment method. Please check or provide another payment method for this order.

#### 15026 - API_ORDER
**Description:** The item is not shippable to the specified shipping address.

#### 15028 - API_ORDER
**Description:** The item {itemId} is not available for purchase because it cannot be shipped to {country}.

#### 15031 - API_ORDER
**Description:** The item is not purchasable because the buyer has been blocked by the seller.

#### 15044 - API_ORDER
**Description:** At least one of the items in the cart cannot be purchased using this API. The purchase can be done on eBay, through the eBay app or eBay website.

#### 15045 - API_ORDER
**Description:** The item cannot be purchased because the seller is away and is not processing orders. If you are trying to purchase more than one item, you need to create a new checkout session to purchase the other items.

#### 15047 - API_ORDER
**Description:** In compliance with applicable economic sanctions and trade restrictions, eBay is unavailable in your location. If you believe you are receiving this notice in error, please contact eBay's Customer Service.

#### 15050 - API_ORDER
**Description:** Your transaction cannot be completed with the given information. Contact eBay customer service.

#### 15051 - API_ORDER
**Description:** Additional user details required. Please complete your registration or contact eBay customer support.

#### 15056 - API_ORDER
**Description:** The buyer is not the winning bidder of the auction.

#### 17001 - API_ORDER
**Description:** Authentication with the payment provider failed. Please log into eBay.com and ensure payment provider accounts are properly linked.

#### 20002 - API_ORDER
**Description:** This item {itemId} is currently unavailable to buy from the seller.

#### 15020 - API_ORDER
**Description:** During the checkout process the item has been changed. Create a new checkout session for this item using the initiateCheckoutSession call.

#### 15023 - API_ORDER
**Description:** The payment cannot be processed due to an issue with the funding source, such as insufficient funds, or invalid payment details, such as card number or billing address error. To complete this order, use the appropriate initiate checkout session call to create a new session and either provide a new payment method or correct the payment details.

#### 17000 - API_ORDER
**Description:** The payment cannot be processed due to a payment processor issue, such as invalid incentive, funding or financing issue, etc

#### 15022 - API_ORDER
**Description:** Some of the items cannot be purchased using a credit card and must be removed from the checkout session.

### APPLICATION Errors

#### 15000 - API_ORDER
**Description:** There was a problem with an eBay internal system or process. Contact eBay developer support for assistance.

#### 16020 - API_ORDER
**Description:** Your application is not eligible for this coupon. The coupon was ignored and no discount was applied to this order.

#### 18003 - API_ORDER
**Description:** Selected add-on service {fieldName} is not eligible for the shipping destination.

#### 18005 - API_ORDER
**Description:** Selected add-on service {fieldName} is required for this purchase.

#### 16001 - API_ORDER
**Description:** There was a problem with an eBay internal system or process. Contact eBay developer support for assistance.

## Types

### AddonService
**Description:** A type that defines the fields for add-on services that may be applied or are automatically applied to an item in an order.
**Type:** object

**Properties:**
- **serviceFee** (Amount)
  - The container that returns the amount and currency of the fee for an add-on service.
- **serviceTax** (Amount)
  - The container that returns the amount and currency of the sales tax applied against the add-on service fee. This tax is based on the state or territory in which the buyer is located.
- **serviceType** (ServiceTypeEnum)
  - An enumerated value that defines the type of add-on service.

### AddonServiceInput
**Description:** A type that defines which add-on services are selected for an item. This type is used by **updateAddonServicesStatus** to add an add-on service to an order line item.
**Type:** object

**Properties:**
- **selected** (boolean)
  - This field is used to add or remove an add-on service for an order line item. Set the field value to `true` to add a service or `false` to remove it.
- **serviceId** (string)
  - The unique identifier of the add-on service.  
  
This value appears in the response field **lineitems.addonServices.serviceId** of the [getCheckoutSession](/develop/api/buy/order_api_v1#buy-order_api_v1-checkout_session-getcheckoutsession) method.  
  
**Note:** BUYER\_PROTECTION cannot be added or removed as a add-on service with this method. eBay adds this service automatically if applicable.

### Adjustment
**Description:** The type that defines the fields for seller adjustments. An adjustment can be a credit or debit.
**Type:** object

**Properties:**
- **amount** (Amount)
  - The container that returns the amount and currency of an adjustment.
- **label** (string)
  - Text indicating what the adjustment was for.

### Amount
**Description:** The container defining the monetary value of an amount in the currency used in on the eBay site offering the item and the conversion of that value into another currency.
**Type:** object

**Properties:**
- **currency** (CurrencyCodeEnum)
  - The currency used in the monetary transaction. Generally, this is the currency used by the country of eBay site offering the item.
- **value** (string)
  - The amount of the currency specified in the **currency** field. The value of **currency** defaults to the standard currency used by the country of the eBay site offering the item.

### AuthenticityVerificationProgram
**Description:** This type is used to provide the status and outcome of an order line item going through the Authenticity Guarantee verification process.
**Type:** object

**Properties:**
- **description** (string)
  - An informational message that applies to the Authenticity Guarantee program.
- **outcomeReason** (string)
  - An informational message regarding the authentication outcome of an authenticity verification inspection.  
**Note**:This field is conditionally returned when there is information that applies to the Authenticity Guarantee program.
- **status** (AuthenticityVerificationStatusEnum)
  - The value in this field indicates whether the order line item has passed or failed the authenticity verification inspection, or if the inspection and/or results are still pending. The possible values returned here are `PENDING`, `PASSED`, `FAILED`, or `INELIGIBLE`.  
**Note**: This field is conditionally returned when purchase is complete.
- **termsWebUrl** (string)
  - The terms and conditions that apply to the Authenticity Guarantee program.

### AuthenticityVerificationStatusEnum
**Description:** This enumerated type indicates whether an order line item has passed or failed authenticity verification, or whether the inspection/results are still pending. | - **PENDING**: This value indicates that the authentication status is `PENDING`. The item's authenticity is still unknown. - **PASSED**: This value indicates that the authentication status has `PASSED`. The item is authentic. - **FAILED**: This value indicates that the authentication has `FAILED`. The items's authenticity could not be verified. - **INELIGIBLE**: This value indicates that the authentication status is `INELIGIBLE`. There may be legal reasons or requirements such that the item cannot be labeled authentic.
**Type:** object

### BillingAddress
**Description:** The type that defines the fields for an address.
**Type:** object

**Properties:**
- **addressLine1** (string)
  - The first line of the street address.  
  
**Maximum characters**

*   AU, CA, & US: 40
*   DE & GB: 35
*   All other marketplaces: 50
- **addressLine2** (string)
  - The second line of the street address where the item is being shipped. This optional field can be used for information such as 'Suite Number' or 'Apt Number'.
- **city** (string)
  - The city of the address.
- **country** (CountryCodeEnum)
  - The two letter code representing the country of the address.
- **county** (string)
  - The county of the address.
- **firstName** (string)
  - The buyer's first name.
- **lastName** (string)
  - The buyer's last name.
- **postalCode** (string)
  - The postal code of the address.
- **stateOrProvince** (string)
  - The state or province of the address.

**Note:** For the EBAY\_US - USA (ebay.com) marketplace, this is a 2 character value. For a list of these, see [US State and Canada Province Codes](https://www.ups.com/worldshiphelp/WS15/ENU/AppHelp/Codes/State_Province_Codes.htm).

### CheckoutAddonService
**Description:** A type that defines the fields for add-on services that may be applied or are automatically applied to an item in an order.
**Type:** object

**Properties:**
- **selected** (boolean)
  - Indicates whether the service is selected or not.
- **serviceFee** (Amount)
  - The container that returns the amount and currency of the fee for an add-on service.
- **serviceId** (string)
  - The ID of the add-on service.
- **serviceTax** (Amount)
  - The container that returns the amount and currency of the sales tax applied against the add-on service fee. This tax is based on the state or territory in which the buyer is located.
- **serviceType** (ServiceTypeEnum)
  - The type of add-on service, such as AUTHENTICITY\_GUARANTEE.

### CheckoutSessionResponse
**Description:** Type that defines the fields for a checkout session.
**Type:** object

**Properties:**
- **acceptedPaymentMethods** (array)
  - The container that returns the payment methods that can be used to purchase the items.
- **appliedCoupons** (array)
  - The container that returns the information of the coupons that were applied in the checkout session.
- **checkoutSessionId** (string)
  - The **checkoutSessionId** submitted in the request.
- **expirationDate** (string)
  - The time the checkout session will end. To purchase the items the order must be placed before this time.
- **lineItems** (array)
  - An array of line items associated with the checkout session.
- **pricingSummary** (PricingSummary)
  - The container that returns information about the costs of the order, such as the total cost, discounts, etc., of all the line items.
- **providedPaymentInstrument** (ProvidedPaymentInstrument)
  - The container that returns the payment methods that can be used for the checkout. This is returned only if you have used the **updatePaymentInfo** method to change the payment method.
- **shippingAddress** (ShippingAddress)
  - The container that returns the address where the purchase order will be shipped.
- **taxDetails** (array)
  - Detailed tax information for items included in this order.
- **warnings** (array)
  - An array of any process errors or warnings that were generated during the method processing.

### CountryCodeEnum
**Description:** The two-letter [ISO 3166](<https://www.iso.org/iso-3166-country-codes.html >) standard code that representing a country. | - **AD**: Indicates the country is Andorra. - **AE**: Indicates the country is United Arab Emirates. - **AF**: Indicates the country is Afghanistan. - **AG**: Indicates the country is Antigua and Barbuda. - **AI**: Indicates the country is Anguilla. - **AL**: Indicates the country is Albania. - **AM**: Indicates the country is Armenia. - **AN**: Indicates the country is Netherlands Antilles. - **AO**: Indicates the country is Angola. - **AQ**: Indicates the country is Antarctica. - **AR**: Indicates the country is Argentina. - **AS**: Indicates the country is American Samoa. - **AT**: Indicates the country is Austria. - **AU**: Indicates the country is Australia. - **AW**: Indicates the country is Aruba. - **AX**: Indicates the country is Aland Islands - **AZ**: Indicates the country is Azerbaijan. - **BA**: Indicates the country is Bosnia and Herzegovina. - **BB**: Indicates the country is Barbados. - **BD**: Indicates the country is Bangladesh. - **BE**: Indicates the country is Belgium. - **BF**: Indicates the country is Burkina Faso. - **BG**: Indicates the country is Bulgaria. - **BH**: Indicates the country is Bahrain. - **BI**: Indicates the country is Burundi. - **BJ**: Indicates the country is Benin. - **BL**: Indicates the country is Saint Barthelemy. - **BM**: Indicates the country is Bermuda. - **BN**: Indicates the country is Brunei Darussalam. - **BO**: Indicates the country is Bolivia. - **BQ**: Indicates the country is Bonaire, Sint Eustatius, and Saba. - **BR**: Indicates the country is Brazil. - **BS**: Indicates the country is Bahamas. - **BT**: Indicates the country is Bhutan. - **BV**: Indicates the country is Bouvet Island. - **BW**: Indicates the country is Botswana. - **BY**: Indicates the country is Belarus. - **BZ**: Indicates the country is Belize. - **CA**: Indicates the country is Canada. - **CC**: Indicates the country is Cocos (Keeling) Islands. - **CD**: Indicates the country is The Democratic Republic of the Congo. - **CF**: Indicates the country is Central African Republic. - **CG**: Indicates the country is Congo. - **CH**: Indicates the country is Switzerland. - **CI**: Indicates the country is Cote d'Ivoire. - **CK**: Indicates the country is Cook Islands. - **CL**: Indicates the country is Chile. - **CM**: Indicates the country is Cameroon. - **CN**: Indicates the country is China. - **CO**: Indicates the country is Colombia. - **CR**: Indicates the country is Costa Rica. - **CU**: Indicates the country is Cuba. - **CV**: Indicates the country is Cape Verde. - **CW**: Indicates the country is Curacao. - **CX**: Indicates the country is Christmas Island. - **CY**: Indicates the country is Cyprus. - **CZ**: Indicates the country is Czech Republic. - **DE**: Indicates the country is Germany. - **DJ**: Indicates the country is Djibouti. - **DK**: Indicates the country is Denmark. - **DM**: Indicates the country is Dominica. - **DO**: Indicates the country is Dominican Republic. - **DZ**: Indicates the country is Algeria. - **EC**: Indicates the country is Ecuador. - **EE**: Indicates the country is Estonia. - **EG**: Indicates the country is Egypt. - **EH**: Indicates the country is Western Sahara. - **ER**: Indicates the country is Eritrea. - **ES**: Indicates the country is Spain. - **ET**: Indicates the country is Ethiopia. - **FI**: Indicates the country is Finland. - **FJ**: Indicates the country is Fiji. - **FK**: Indicates the country is Falkland Islands (Malvinas). - **FM**: Indicates the country is Federated States of Micronesia. - **FO**: Indicates the country is Faroe Islands. - **FR**: Indicates the country is France. - **GA**: Indicates the country is Gabon. - **GB**: Indicates the country is United Kingdom. - **GD**: Indicates the country is Grenada. - **GE**: Indicates the country is Georgia. - **GF**: Indicates the country is French Guiana. - **GG**: Indicates the country is Guernsey. - **GH**: Indicates the country is Ghana. - **GI**: Indicates the country is Gibraltar. - **GL**: Indicates the country is Greenland. - **GM**: Indicates the country is Gambia. - **GN**: Indicates the country is Guinea. - **GP**: Indicates the country is Guadeloupe. - **GQ**: Indicates the country is Equatorial Guinea. - **GR**: Indicates the country is Greece. - **GS**: Indicates the country is South Georgia and the South Sandwich Islands. - **GT**: Indicates the country is Guatemala. - **GU**: Indicates the country is Guam. - **GW**: Indicates the country is Guinea-Bissau. - **GY**: Indicates the country is Guyana. - **HK**: Indicates the country is Hong Kong. - **HM**: Indicates the country is Heard Island and McDonald Islands. - **HN**: Indicates the country is Honduras. - **HR**: Indicates the country is Croatia. - **HT**: Indicates the country is Haiti. - **HU**: Indicates the country is Hungary. - **ID**: Indicates the country is Indonesia. - **IE**: Indicates the country is Ireland. - **IL**: Indicates the country is Israel. - **IM**: Indicates the country is Isle of Man. - **IN**: Indicates the country is India. - **IO**: Indicates the country is British Indian Ocean Territory. - **IQ**: Indicates the country is Iraq. - **IR**: Indicates the country is Islamic Republic of Iran. - **IS**: Indicates the country is Iceland. - **IT**: Indicates the country is Italy. - **JE**: Indicates the country is Jersey. - **JM**: Indicates the country is Jamaica. - **JO**: Indicates the country is Jordan. - **JP**: Indicates the country is Japan. - **KE**: Indicates the country is Kenya. - **KG**: Indicates the country is Kyrgyzstan. - **KH**: Indicates the country is Cambodia. - **KI**: Indicates the country is Kiribati. - **KM**: Indicates the country is Comoros. - **KN**: Indicates the country is Saint Kitts and Nevis. - **KP**: Indicates the country is Democratic People's Republic of Korea. - **KR**: Indicates the country is Republic of Korea. - **KW**: Indicates the country is Kuwait. - **KY**: Indicates the country is Cayman Islands. - **KZ**: Indicates the country is Kazakhstan. - **LA**: Indicates the country is Lao People's Democratic Republic. - **LB**: Indicates the country is Lebanon. - **LC**: Indicates the country is Saint Lucia. - **LI**: Indicates the country is Liechtenstein. - **LK**: Indicates the country is Sri Lanka. - **LR**: Indicates the country is Liberia. - **LS**: Indicates the country is Lesotho. - **LT**: Indicates the country is Lithuania. - **LU**: Indicates the country is Luxembourg. - **LV**: Indicates the country is Latvia. - **LY**: Indicates the country is Libyan Arab Jamahiriya. - **MA**: Indicates the country is Morocco. - **MC**: Indicates the country is Monaco. - **MD**: Indicates the country is Republic of Moldova. - **ME**: Indicates the country is Montenegro. - **MF**: Indicates the country is Saint Martin (French part). - **MG**: Indicates the country is Madagascar. - **MH**: Indicates the country is Marshall Islands. - **MK**: Indicates the country is The Former Yugoslav Republic of Macedonia. - **ML**: Indicates the country is Mali. - **MM**: Indicates the country is Myanmar. - **MN**: Indicates the country is Mongolia. - **MO**: Indicates the country is Macao. - **MP**: Indicates the country is Northern Mariana Islands. - **MQ**: Indicates the country is Martinique. - **MR**: Indicates the country is Mauritania. - **MS**: Indicates the country is Montserrat. - **MT**: Indicates the country is Malta. - **MU**: Indicates the country is Mauritius. - **MV**: Indicates the country is Maldives. - **MW**: Indicates the country is Malawi. - **MX**: Indicates the country is Mexico. - **MY**: Indicates the country is Malaysia. - **MZ**: Indicates the country is Mozambique. - **NA**: Indicates the country is Namibia. - **NC**: Indicates the country is New Caledonia. - **NE**: Indicates the country is Niger. - **NF**: Indicates the country is Norfolk Island. - **NG**: Indicates the country is Nigeria. - **NI**: Indicates the country is Nicaragua. - **NL**: Indicates the country is Netherlands. - **NO**: Indicates the country is Norway. - **NP**: Indicates the country is Nepal. - **NR**: Indicates the country is Nauru. - **NU**: Indicates the country is Niue. - **NZ**: Indicates the country is New Zealand. - **OM**: Indicates the country is Oman. - **PA**: Indicates the country is Panama. - **PE**: Indicates the country is Peru. - **PF**: Indicates the country is French Polynesia. Includes Tahiti. - **PG**: Indicates the country is Papua New Guinea. - **PH**: Indicates the country is Philippines. - **PK**: Indicates the country is Pakistan. - **PL**: Indicates the country is Poland. - **PM**: Indicates the country is Saint Pierre and Miquelon. - **PN**: Indicates the country is Pitcairn. - **PR**: Indicates the country is Puerto Rico. - **PS**: Indicates the country is Palestinian territory Occupied. - **PT**: Indicates the country is Portugal. - **PW**: Indicates the country is Palau. - **PY**: Indicates the country is Paraguay. - **QA**: Indicates the country is Qatar. - **RE**: Indicates the country is Reunion. - **RO**: Indicates the country is Romania. - **RS**: Indicates the country is Serbia. - **RU**: Indicates the country is Russian Federation. - **RW**: Indicates the country is Rwanda. - **SA**: Indicates the country is Saudi Arabia. - **SB**: Indicates the country is Solomon Islands. - **SC**: Indicates the country is Seychelles. - **SD**: Indicates the country is Sudan. - **SE**: Indicates the country is Sweden. - **SG**: Indicates the country is Singapore. - **SH**: Indicates the country is Saint Helena. - **SI**: Indicates the country is Slovenia. - **SJ**: Indicates the country is Svalbard and Jan Mayen. - **SK**: Indicates the country is Slovakia. - **SL**: Indicates the country is Sierra Leone. - **SM**: Indicates the country is San Marino. - **SN**: Indicates the country is Senegal. - **SO**: Indicates the country is Somalia. - **SR**: Indicates the country is Suriname. - **ST**: Indicates the country is Sao Tome and Principe. - **SV**: Indicates the country is El Salvador. - **SX**: Indicates the country is Sint Maarten (Dutch part). - **SY**: Indicates the country is Syrian Arab Republic. - **SZ**: Indicates the country is Swaziland. - **TC**: Indicates the country is Turks and Caicos Islands. - **TD**: Indicates the country is Chad. - **TF**: Indicates the country is French Southern Territories. - **TG**: Indicates the country is Togo. - **TH**: Indicates the country is Thailand. - **TJ**: Indicates the country is Tajikistan. - **TK**: Indicates the country is Tokelau. - **TL**: Indicates the country is Timor-Leste. - **TM**: Indicates the country is Turkmenistan. - **TN**: Indicates the country is Tunisia. - **TO**: Indicates the country is Tonga. - **TR**: Indicates the country is Turkey. - **TT**: Indicates the country is Trinidad and Tobago. - **TV**: Indicates the country is Tuvalu. - **TW**: Indicates the country is Taiwan. - **TZ**: Indicates the country is Tanzania. - **UA**: Indicates the country is Ukraine. - **UG**: Indicates the country is Uganda. - **UM**: Indicates the country is United States Minor Outlying Islands. - **US**: Indicates the country is United States. - **UY**: Indicates the country is Uruguay. - **UZ**: Indicates the country is Uzbekistan. - **VA**: Indicates the country is Holy See (Vatican City state). - **VC**: Indicates the country is Saint Vincent and the Grenadines. - **VE**: Indicates the country is Venezuela. - **VG**: Indicates the country is British Virgin Islands. - **VI**: Indicates the country is the U.S. Virgin Islands. - **VN**: Indicates the country is Vietnam. - **VU**: Indicates the country is Vanuatu. - **WF**: Indicates the country is Wallis and Futuna. - **WS**: Indicates the country is Samoa. - **YE**: Indicates the country is Yemen. - **YT**: Indicates the country is Mayotte. - **ZA**: Indicates the country is South Africa. - **ZM**: Indicates the country is Zambia. - **ZW**: Indicates the country is Zimbabwe.
**Type:** object

### Coupon
**Description:** The type that defines the fields for the coupon information.  
  
**Note:** This container is not returned for the **getPurchaseOrder** method.
**Type:** object

**Properties:**
- **redemptionCode** (string)
  - The coupon redemption code.

### CouponRequest
**Description:** The type that defines the fields for the coupon information used in the request.
**Type:** object

**Properties:**
- **redemptionCode** (string)
  - The redemption code of the coupon.  
  
**Maximum:** one redemption code per order

### CreateSignInCheckoutSessionRequest
**Description:** The type that defines the fields for creating an eBay member checkout session.
**Type:** object

**Properties:**
- **creditCard** (CreditCard)
  - The container that returns the buyer's credit card information.
- **lineItemInputs** (array)
  - The container for the line item information fields in an eBay member checkout session.  
  
**Maximum number of line items:** 10
- **shippingAddress** (ShippingAddress)
  - The container for the shipping address information in an eBay member checkout session.  
  
**Note:** If the address cannot be validated, a warning message is returned along with the response.

### CreditCard
**Description:** The type that defines the fields for the credit card that's used to pay for the items.
**Type:** object

**Properties:**
- **accountHolderName** (string)
  - The name of the card holder under which the credit card was issued.
- **billingAddress** (BillingAddress)
  - The container that returns the billing address of the card holder.  
  
**Note:** If the address cannot be validated, a warning message will be returned.
- **brand** (string)
  - The type of the credit card, such as Visa or MasterCard.  
  
For a list of valid values, see [PaymentMethodBrandEnum](/develop/api/buy/order_v1_api#buy-order_v1_api-checkout_session-updatepaymentinfo.paymentmethodbrandenum).
- **cardNumber** (string)
  - The credit card number on the card.
- **cvvNumber** (string)
  - The _Card Verification Value_ of the credit card. This value is also known as the _card verification code_ (CVC) or _card security code_ (CSC).  
  
This is a three-digit number on VISA, MasterCard, and Discover branded credit and debit cards. On American Express branded cards, this is a four-digit numeric code.  
  
**Note:** This number is _not_ the PIN associated with the card.
- **expireMonth** (integer)
  - The month the credit card expires.
- **expireYear** (integer)
  - The year the credit card expires.

### CurrencyCodeEnum
**Description:** The three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) code representing a world currency. | - **AED**: Indicates the currency is United Arab Emirates dirham. - **AFN**: Indicates the currency is Afghan afghani. - **ALL**: Indicates the currency is Albanian lek. - **AMD**: Indicates the currency is Armenian dram. - **ANG**: Indicates the currency is Netherlands Antillean guilder. - **AOA**: Indicates the currency is Angolan kwanza. - **ARS**: Indicates the currency is Argentine peso. - **AUD**: Indicates the currency is Australian dollar. - **AWG**: Indicates the currency is Aruban florin. - **AZN**: Indicates the currency is Azerbaijani manat. - **BAM**: Indicates the currency is Bosnia and Herzegovina convertible mark. - **BBD**: Indicates the currency is Barbados dollar. - **BDT**: Indicates the currency is Bangladeshi taka. - **BGN**: Indicates the currency is Bulgarian lev. - **BHD**: Indicates the currency is Bahraini dinar. - **BIF**: Indicates the currency is Burundian franc. - **BMD**: Indicates the currency is Bermudian dollar. - **BND**: Indicates the currency is Brunei dollar. - **BOB**: Indicates the currency is Bolivian Boliviano. - **BRL**: Indicates the currency is Brazilian real. - **BSD**: Indicates the currency is Bahamian dollar. - **BTN**: Indicates the currency is Bhutanese ngultrum. - **BWP**: Indicates the currency is Botswana pula. - **BYR**: Indicates the currency is Belarusian ruble. - **BZD**: Indicates the currency is Belize dollar. - **CAD**: Indicates the currency is Canadian dollar. - **CDF**: Indicates the currency is Congolese franc. - **CHF**: Indicates the currency is Swiss franc. - **CLP**: Indicates the currency is Chilean peso. - **CNY**: Indicates the currency is Chinese yuan renminbi. - **COP**: Indicates the currency is Colombian peso. - **CRC**: Indicates the currency is Costa Rican colon. - **CUP**: Indicates the currency is Cuban peso. - **CVE**: Indicates the currency is Cape Verde escudo. - **CZK**: Indicates the currency is Czech koruna. - **DJF**: Indicates the currency is Djiboutian franc. - **DKK**: Indicates the currency is Danish krone. - **DOP**: Indicates the currency is Dominican peso. - **DZD**: Indicates the currency is Algerian dinar. - **EGP**: Indicates the currency is Egyptian pound. - **ERN**: Indicates the currency is Eritrean nakfa. - **ETB**: Indicates the currency is Ethiopian birr. - **EUR**: Indicates the currency is European Union euro. - **FJD**: Indicates the currency is Fiji dollar. - **FKP**: Indicates the currency is Falkland Islands pound. - **GBP**: Indicates the currency is British pound sterling. - **GEL**: Indicates the currency is Georgian lari. - **GHS**: Indicates the currency is Ghanaian cedi. - **GIP**: Indicates the currency is Gibraltar pound. - **GMD**: Indicates the currency is Gambian dalasi. - **GNF**: Indicates the currency is Guinean franc. - **GTQ**: Indicates the currency is Guatemalan quetzal. - **GYD**: Indicates the currency is Guyanese dollar. - **HKD**: Indicates the currency is Hong Kong dollar. - **HNL**: Indicates the currency is Honduran lempira. - **HRK**: Indicates the currency is Croatian kuna. - **HTG**: Indicates the currency is Haitian gourde. - **HUF**: Indicates the currency is Hungarian forint. - **IDR**: Indicates the currency is Indonesian rupiah. - **ILS**: Indicates the currency is Israeli new shekel. - **INR**: Indicates the currency is Indian rupee. - **IQD**: Indicates the currency is Iraqi dinar. - **IRR**: Indicates the currency is Iranian rial. - **ISK**: Indicates the currency is Icelandic krona. - **JMD**: Indicates the currency is Jamaican dollar. - **JOD**: Indicates the currency is Jordanian dinar. - **JPY**: Indicates the currency is Japanese yen. - **KES**: Indicates the currency is Kenyan shilling. - **KGS**: Indicates the currency is Kyrgyzstani som. - **KHR**: Indicates the currency is Cambodian riel. - **KMF**: Indicates the currency is Comoro franc. - **KPW**: Indicates the currency is North Korean won. - **KRW**: Indicates the currency is South Korean won. - **KWD**: Indicates the currency is Kuwaiti dinar. - **KYD**: Indicates the currency is Cayman Islands dollar. - **KZT**: Indicates the currency is Kazakhstani tenge. - **LAK**: Indicates the currency is Lao kip. - **LBP**: Indicates the currency is Lebanese pound. - **LKR**: Indicates the currency is Sri Lankan rupee. - **LRD**: Indicates the currency is Liberian dollar. - **LSL**: Indicates the currency is Lesotho loti. - **LTL**: Indicates the currency is Lithuanian litas. - **LYD**: Indicates the currency is Libyan dinar. - **MAD**: Indicates the currency is Moroccan dirham. - **MDL**: Indicates the currency is Moldovan leu. - **MGA**: Indicates the currency is Malagasy ariary. - **MKD**: Indicates the currency is Macedonian denar. - **MMK**: Indicates the currency is Myanmar kyat. - **MNT**: Indicates the currency is Mongolian tugrik. - **MOP**: Indicates the currency is Macanese pataca. - **MRO**: Indicates the currency is Mauritanian ouguiya. - **MUR**: Indicates the currency is Mauritian rupee. - **MVR**: Indicates the currency is Maldivian rufiyaa. - **MWK**: Indicates the currency is Malawian kwacha. - **MXN**: Indicates the currency is Mexican peso. - **MYR**: Indicates the currency is Malaysian ringgit. - **MZN**: Indicates the currency is Mozambican metical. - **NAD**: Indicates the currency is Namibian dollar. - **NGN**: Indicates the currency is Nigerian naira. - **NIO**: Indicates the currency is Nicaraguan cordoba oro. - **NOK**: Indicates the currency is Norwegian krone. - **NPR**: Indicates the currency is Nepalese rupee. - **NZD**: Indicates the currency is New Zealand dollar. - **OMR**: Indicates the currency is Omani rial. - **PAB**: Indicates the currency is Panamanian balboa. - **PEN**: Indicates the currency is Peruvian sol. - **PGK**: Indicates the currency is Papua New Guinean kina. - **PHP**: Indicates the currency is Philippine peso. - **PKR**: Indicates the currency is Pakistani rupee. - **PLN**: Indicates the currency is Polish zloty. - **PYG**: Indicates the currency is Paraguayan guarani. - **QAR**: Indicates the currency is Qatari riyal. - **RON**: Indicates the currency is Romanian leu. - **RSD**: Indicates the currency is Serbian dinar. - **RUB**: Indicates the currency is Russian ruble. - **RWF**: Indicates the currency is Rwandan franc. - **SAR**: Indicates the currency is Saudi riyal. - **SBD**: Indicates the currency is Solomon Islands dollar. - **SCR**: Indicates the currency is Seychelles rupee. - **SDG**: Indicates the currency is Sudanese pound. - **SEK**: Indicates the currency is Swedish krona. - **SGD**: Indicates the currency is Singapore dollar. - **SHP**: Indicates the currency is Saint Helena pound. - **SLL**: Indicates the currency is Sierra Leonean leone. - **SOS**: Indicates the currency is Somali shilling. - **SRD**: Indicates the currency is Surinamese dollar. - **STD**: Indicates the currency is Sao Tome and Principe dobra. - **SYP**: Indicates the currency is Syrian pound. - **SZL**: Indicates the currency is Swazi lilangeni. - **THB**: Indicates the currency is Thai baht. - **TJS**: Indicates the currency is Tajikistani somoni. - **TMT**: Indicates the currency is Turkmenistani manat. - **TND**: Indicates the currency is Tunisian dinar. - **TOP**: Indicates the currency is Tongan pa'anga. - **TRY**: Indicates the currency is Turkish lira. - **TTD**: Indicates the currency is Trinidad and Tobago dollar. - **TWD**: Indicates the currency is New Taiwan dollar. - **TZS**: Indicates the currency is Tanzanian shilling. - **UAH**: Indicates the currency is Ukrainian hryvnia. - **UGX**: Indicates the currency is Ugandan shilling. - **USD**: Indicates the currency is United States dollar. - **UYU**: Indicates the currency is Uruguayan peso. - **UZS**: Indicates the currency is Uzbekistani som. - **VEF**: Indicates the currency is Venezuelan bolivar. - **VND**: Indicates the currency is Vietnamese dong. - **VUV**: Indicates the currency is Vanuatu vatu. - **WST**: Indicates the currency is Samoan tala. - **XAF**: Indicates the currency is CFA franc BEAC. - **XCD**: Indicates the currency is East Caribbean dollar. - **XOF**: Indicates the currency is CFA franc BCEAO. - **XPF**: Indicates the currency is CFP franc. - **YER**: Indicates the currency is Yemeni rial. - **ZAR**: Indicates the currency is South African rand. - **ZMW**: Indicates the currency is Zambian kwacha. - **ZWL**: Indicates the currency is Zimbabwean dollar.
**Type:** object

### ErrorDetailV3
**Description:** The type that defines the fields for the error messages.
**Type:** object

**Properties:**
- **category** (string)
  - This string value indicates the error category. There are three categories of errors: request errors, application errors, and system errors.
- **domain** (string)
  - The name of the primary system where the error occurred. This is relevant for application errors.
- **errorId** (integer)
  - A unique code that identifies the particular error or warning that occurred. Your application can use error codes as identifiers in your customized error-handling algorithms.
- **inputRefIds** (array)
  - An array of reference IDs that identify the specific request elements most closely associated to the error or warning, if any.
- **longMessage** (string)
  - A detailed description of the condition that caused the error or warning, and information on what to do to correct the problem.
- **message** (string)
  - A description of the condition that caused the error or warning.
- **outputRefIds** (array)
  - An array of reference IDs that identify the specific response elements most closely associated to the error or warning, if any.
- **parameters** (array)
  - An array of warning and error messages that return one or more variables contextual information about the error or warning. This is often the field or value that triggered the error or warning.
- **subdomain** (string)
  - The name of the subdomain in which the error or warning occurred.

### ErrorParameterV3
**Description:** An array of name/value pairs that provide details regarding the error.
**Type:** object

**Properties:**
- **name** (string)
  - This is the name of input field that caused an issue with the method request.
- **value** (string)
  - This is the actual value that was passed in for the element specified in the **name** field.

### EventLocation
**Description:** The type that defines the fields for the location of a tracking event.
**Type:** object

**Properties:**
- **city** (string)
  - The city where the tracking event occurred.
- **country** (CountryCodeEnum)
  - The two letter code representing the country of the address where the tracking event occurred.
- **county** (string)
  - The county where the tracking event occurred.
- **postalCode** (string)
  - The postal code where the tracking event occurred.
- **stateOrProvince** (string)
  - The state where the tracking event occurred.

### Fee
**Description:** A breakdown of the fees associated with the line item.
**Type:** object

**Properties:**
- **amount** (Amount)
  - A container for the currency type and monetary amount of the fees associated with the line item.
- **feeType** (FeeEnum)
  - The type of fee associated with the line item.

### FeeEnum
**Description:** This enumeration type defines the fees that may be collected by eBay for a given line item in an order. | - **ADDITIONAL_FEE**: This value indicates that an additional fee was charged to the buyer against the order line item. - **BATTERY_RECYCLING_FEE**: This value indicates that a battery recycling fee was charged to the buyer against the order line item. - **ELECTRONIC_RECYCLING_FEE**: This value indicates that an electronic recycling fee was charged to the buyer against the order line item. This fee is imposed on the retail sale or lease of certain electronic products that have been identified as covered electronic devices (CEDs). - **MATTRESS_RECYCLING_FEE**: This value indicates that a mattress waste recycling fee was charged to the buyer against the order line item for each mattress, box spring, foundation, and base sold. This recycling fee is per piece. - **TIRE_RECYCLING_FEE**: This value indicates that a tire recycling fee was charged to the buyer against the order line item. - **WHITE_GOODS_DISPOSABLE_TAX**: This value indicates that the disposal tax for white goods was charged to the buyer against the order line item (White Goods Disposal Tax). White goods includes items like refrigerators, ranges, water heaters, freezers, unit air conditioners, washing machines, clothes dryers, and other similar domestic and commercial large appliances.
**Type:** object

### Image
**Description:** The type that defines the fields for the details of an image, such as size and URL. Only the **imageUrl** field is populated. The **height** and **width** were added for future use.
**Type:** object

**Properties:**
- **height** (integer)
  - Reserved for future use.
- **imageUrl** (string)
  - The URL of the image.
- **width** (integer)
  - Reserved for future use.

### ImportTax
**Description:** This type provides the type of import tax applicable to the order, and the total amount of tax for all line items in the order.
**Type:** object

**Properties:**
- **amount** (Amount)
  - The total amount of import tax for all line items of an order.
- **importTaxType** (ImportTaxTypeEnum)
  - This enumeration value indicates the type of import tax applicable to the order. Currently, the only import tax is Goods and Services Tax (indicated by `GST`) which applies only to Australia and New Zealand where GST is charged to buyers outside of these two countries.  
  
**Note:** Canada also charges a Goods and Services Tax. However, in this case, `GST` does not represent an import tax, but rather a Federal Sales Tax that is charged on most items sold. `ImportTax` will not be returned for Canadian sales transactions.

### ImportTaxTypeEnum
**Description:** This enumeration type shows the list of import tax types. Currently, the only import tax is Goods and Services Tax (`GST`) which applies only to Australia and New Zealand where GST is charged to buyers outside of these two countries.  
  
**Note:** Canada also charges a Goods and Services Tax. However, in this case, `GST` does not represent an import tax, but rather a Federal Sales Tax which applies to most items sold. | - **GST**: This value indicates that the import tax is a _Goods and Services Tax_. This tax applies only to Australia and New Zealand where GST is charged to buyers outside of these two countries.  
  
**Note:** Canada also charges a Goods and Services Tax. However, in this case, `GST` does not represent an import tax, but rather a Federal Sales Tax which applies to most items sold.
**Type:** object

### LegacyReference
**Description:** The type that defines the fields to support using the [Post Order API](<https://developer.ebay.com/devzone/post-order/index.html#callindex >) for returns and cancellations.
**Type:** object

**Properties:**
- **legacyItemId** (string)
  - The legacy ID used to identify an item.  
  
This is used by the Post Order API [Create Return Request](https://developer.ebay.com/Devzone/post-order/post-order_v2_return__post.html) method. This call initiates the item return process. For more information on how to use this field in the Post Order API, see [Create a return request](/api-docs/buy/static/api-order.html#return-request) in the Buy Integration Guide.
- **legacyOrderId** (string)
  - The legacy ID of the order.  
  
This is used by the Post Order API [Submit Cancellation Request](https://developer.ebay.com/Devzone/post-order/post-order_v2_cancellation__post.html) method. This method initiates the item cancellation process. For more information on how to use this field in the Post Order API, see [Using the Post Order API](/api-docs/buy/static/api-order.html#using).
- **legacyTransactionId** (string)
  - The legacy ID of the transaction.  
  
This is used by the Post Order API [Create Return Request](<https://developer.ebay.com/devzone/post-order/post-order_v2_return__post.html >) call. This call initiates the item return process. For more information on how to use this field in the Post Order API, see [Using the Post Order API](/api-docs/buy/static/api-order.html#using) in the Buy Integration Guide.

### LineItem
**Description:** The type that defines the fields for an individual line item.
**Type:** object

**Properties:**
- **addonServices** (array)
  - An array of add-on services for the line item.
- **authenticityVerification** (AuthenticityVerificationProgram)
  - This container is returned for orders that are eligible for eBay's Authenticity Guarantee service. The seller ships Authenticity Guarantee service items to the authentication partner instead of the buyer. If the item is successfully authenticated, the authenticator will ship the item to the buyer.
- **baseUnitPrice** (Amount)
  - The cost of a single item in this line item. This is the starting point for computing the price during checkout session.  
  
**Note:** The price includes the value-added tax (VAT) for applicable jurisdictions when requested from supported marketplaces. In this case, users must pass the [`X-EBAY-C-MARKETPLACE-ID`](/api-docs/static/rest-request-components.html#HTTP) request header specifying the supported marketplace (such as `EBAY_GB`) to see VAT-inclusive pricing. For more information on VAT, refer to [VAT Obligations in the EU](https://www.ebay.co.uk/help/listings/default/vat-obligations-eu?id=4650&st=12&pos=1&query=Your%20VAT%20obligations%20in%20the%20EU&intent=VAT).
- **fees** (array)
  - A breakdown of the fees applicable to the line item.
- **image** (Image)
  - An eBay-assigned URL of the item image. eBay assigns the URL when the seller uploads the image.
- **importDuties** (Amount)
  - The total amount of import duties for this line item, which is paid by the buyer when checking out.  
  
**Note:** This is applicable only for eBay International Shipping (eIS) orders, and eIS is only available to sellers on US marketplace.  
  
For GSP orders, the import charges will be shown in the `shippingOptions.importCharges` container.
- **itemId** (string)
  - The eBay identifier of an item. This ID is returned by the **Browse** and **Feed** API methods. The ID must be in RESTful item ID format.  
  
**For example:** `v1|2**********6|5**********4` or `v1|1**********9|0`.  
  
For more information about item ID for RESTful APIs, see the [Legacy API compatibility](/api-docs/buy/static/api-browse.html#Legacy).  
  
Each **itemId** will become a single line item. You can have a maximum of 10 **itemId**(s) per checkout.
- **lineItemId** (string)
  - A unique eBay-assigned ID value that identifies a line item in a checkout session.
- **netPrice** (Amount)
  - The total cost for the items in this line item taking into account the quantity and applying any seller item discounts, such as Buy 1 Get 1, and any coupon that applies to this item.  
  
**Note:** This does not include any shipping discounts, shipping costs, fees, or seller adjustments.
- **promotions** (array)
  - An array of promotions applied to the item of this line item.
- **quantity** (integer)
  - The number of individual items ordered for this line item.  
  
**Note:** If a winning bidder is purchasing an auction item, the value of the this field will be returned as `1`.
- **seller** (Seller)
  - The container that returns the information about the seller, such as their eBay user name.
- **shippingOptions** (array)
  - An array of the shipping methods that are available for the line item. By default, the first one will be selected.
- **shortDescription** (string)
  - This text string is derived from the item condition, item title, and the item aspects (such as size, color, capacity, model, brand, etc.).
- **taxDetails** (array)
  - A container for the tax information for the line item.  
  
**Note:** The information in this container is only returned when requested from the GB marketplace, when applicable.
- **title** (string)
  - The seller created title of the item.

### LineItemInput
**Description:** The type that defines the fields for a line item.
**Type:** object

**Properties:**
- **itemId** (string)
  - The eBay identifier of an item. This ID is returned by the **Browse** and **Feed** API methods. The ID must be in RESTful item ID format.  
  
**For example:** `v1|2**********6|5**********4` or `v1|1**********9|0`.  
  
For more information about item ID for RESTful APIs, see the [Legacy API compatibility](/api-docs/buy/static/api-browse.html#Legacy).  
  
Each **itemId** will become a single line item. You can have a maximum of 10 **itemId**(s) per checkout.
- **quantity** (integer)
  - The quantiy order of the line item.  
  
**Note:** If a winning bidder is purchasing an auction item, the value of the this field **must** be `1` or an error will be returned.

### LineItemPaymentStatusEnum
**Description:** An enumerated type for the values that represent the payment status for a line item. | - **PAID**: Indicates the buyer has paid for this line item. - **PENDING**: Indicates the buyer's payment is expected or is being processed for this line item. - **FAILED**: Indicates that processing the payment failed for this line item. - **NOT_PAID**: Indicates the buyer has _not_ paid for this line item.
**Type:** object

### LineItemReference
**Description:** Type the defines the fields for the line item ID and the quantity.
**Type:** object

**Properties:**
- **lineItemId** (string)
  - A unique eBay-assigned ID value to identify the line item in a purchase order.
- **quantity** (integer)
  - The number of individual items ordered for this line item, as specified by the buyer.

### LineItemStatusEnum
**Description:** An enumerated type for the values that represent the fulfillment status of the items in a line item. | - **PENDING**: Indicates this line item has not been shipped. - **FULFILLMENT_IN_PROGRESS**: Indicates this line item is in the process of being shipped or in transit.  
  
**Note:** When there is no tracking information, this status will never change because without tracking information eBay has no way of knowing if the order was delivered. - **DELIVERED**: Indicates this line item has been delivered. - **CANCELLED**: Indicates this line item has been cancelled.
**Type:** object

### OrderLineItem
**Description:** The type that defines the fields for line item information in a purchase order.
**Type:** object

**Properties:**
- **addonServices** (array)
  - An array of add-on services that apply to the order line item.
- **authenticityVerification** (AuthenticityVerificationProgram)
  - This container is returned for orders that are eligible for eBay's Authenticity Guarantee program. The seller ships Authenticity Guarantee program items to the authentication partner instead of the buyer. If the item is successfully authenticated, the authenticator will ship the item to the buyer.
- **baseUnitPrice** (Amount)
  - The cost of a single item in this line item.  
  
**Note:** The price includes the value-added tax (VAT) for applicable jurisdictions when requested from supported marketplaces. In this case, users must pass the [`X-EBAY-C-MARKETPLACE-ID`](/api-docs/static/rest-request-components.html#HTTP) request header specifying the supported marketplace (such as `EBAY_GB`) to see VAT-inclusive pricing. For more information on VAT, refer to [VAT Obligations in the EU](https://www.ebay.co.uk/help/listings/default/vat-obligations-eu?id=4650&st=12&pos=1&query=Your%20VAT%20obligations%20in%20the%20EU&intent=VAT).
- **fees** (array)
  - A breakdown of the fees applicable to the line item.
- **image** (Image)
  - The URL of the item's image.
- **itemId** (string)
  - The identifier of the item.
- **itemOnHold** (boolean)
  - When this value is `true` it indicates that the item has been put on hold due to a violation of eBay Policy.
- **legacyReference** (LegacyReference)
  - The container that returns fields to support using the [Post Order API](<https://developer.ebay.com/devzone/post-order/index.html#callindex >) for returns and cancellations. For information about what is returned in these fields and how to use the Post Order API, see [Using the Post Order API](/api-docs/buy/static/api-order.html#using).
- **lineItemId** (string)
  - The identifier of this line item. This is created by the [initiateCheckoutSession](/develop/api/buy/order_api_v1#buy-order_api_v1-checkout_session-initiatecheckoutsession) for a member and [initiateGuestCheckoutSession](/develop/api/buy/order_api_v2#buy-order_api_v2-guest_checkout_session-initiateguestcheckoutsession) for a guest calls.
- **lineItemPaymentStatus** (LineItemPaymentStatusEnum)
  - An enumeration value that indicates the payment status of this line item.
- **lineItemStatus** (LineItemStatusEnum)
  - An enumeration value that indicates the fulfillment state of this line item.  
  
**Note:** When there is no tracking information, this status will never change from `FULFILLMENT_IN_PROGRESS` because without tracking information eBay has no way of knowing if the order was delivered.
- **netPrice** (Amount)
  - The total cost for the items in this line item taking into account the quantity and applying any seller item discounts, such as Buy 1 Get 1, and any coupon that applies to this item.  
  
**Note:** This does not include any shipping discounts, shipping costs, or seller adjustments.
- **orderId** (string)
  - The unique order ID for this line item.  
  
**Maximum Length:** 40 characters
- **promotions** (array)
  - An array of promotions applied to the items in this line item.
- **quantity** (integer)
  - The number of individual items in this line item.
- **seller** (Seller)
  - The container for information about the seller offering this item, such as the seller's user name.
- **shippingDetail** (ShippingDetail)
  - Information about the shipping provider used for this line item.
- **taxDetails** (array)
  - A container for the tax information for the line item.  
  
**Note:** The information in this container is only returned when requested from the GB marketplace, when applicable.
- **title** (string)
  - The seller created title of the item.

### PaymentInstructionEnum
**Description:** This enumerated type defines the payment instruction for the order, indicating how the buyer is expected to pay when using an offline payment method (for example, cash on pickup). | - **CASH_ON_PICKUP**: Indicates that the buyer pays the full order amount in cash when they physically pick up the item from the seller's specified pickup location, with no online or intermediated payment processed during checkout.
**Type:** object

### PaymentInstrument
**Description:** The type that defines the fields for the reference information about the payment method.
**Type:** object

**Properties:**
- **brand** (PaymentMethodBrand)
  - The name of the credit card company (brand).
- **paymentMethodType** (PaymentMethodTypeEnum)
  - An enumeration value that indicates the method of payment, such as credit card.

### PaymentInstrumentReference
**Description:** The type that defines the fields for the payment reference, such as last four digits of a credit card.
**Type:** object

**Properties:**
- **externalReferenceId** (string)
  - **This field is deprecated.**
- **lastFourDigitForCreditCard** (string)
  - The last four digits of the credit card number being used to pay for the items.

### PaymentMethod
**Description:** The type that defines the fields for the payment method.
**Type:** object

**Properties:**
- **label** (string)
  - Text indicating the payment type. Credit card is the only accepted payment method for Order v1. Therefore, this value will always be `CC`.
- **logoImage** (Image)
  - The URL of the image of the payment method logo.
- **paymentInstructions** (array)
  - An array of payment instructions, where each entry is a **PaymentInstructionEnum** value.
- **paymentMethodBrands** (array)
  - An array of credit card brands that can be used as the payment method.
- **paymentMethodMessages** (array)
  - The type that defines the fields for legal messages and buyer consent verification.
- **paymentMethodType** (PaymentMethodTypeEnum)
  - An enumeration value that indicates the method of payment, such as credit card.

### PaymentMethodBrand
**Description:** The type that defines the fields for the payment method.
**Type:** object

**Properties:**
- **logoImage** (Image)
  - The URL of the payment method company (brand) image.
- **paymentMethodBrandType** (PaymentMethodBrandEnum)
  - An enumeration value that indicates the payment method company, such as Visa.

### PaymentMethodBrandEnum
**Description:** An enumerated type for the values that represent the credit card brand/name. | - **AMERICAN_EXPRESS**: Indicates the card is an American Express. - **CB_NATIONALE**: Indicates the card is a Carte Bancaire card. - **CETELEM**: Indicates the card is a Cetelem card. - **COFIDIS**: Indicates the card is a Cofidis. - **COFINOGA**: Indicates the card is a Cofinoga. - **DISCOVER**: Indicates the card is a Discover. - **MAESTRO**: Indicates the card is a Maestro. - **MASTERCARD**: Indicates the card is a Mastercard. - **PAYPAL_CHECKOUT**: This value has been deprecated. - **SWITCH**: Indicates the card is a Switch. - **VISA**: Indicates the card is a Visa.
**Type:** object

### PaymentMethodMessage
**Description:** The type that defines the fields for legal messages and buyer consent verification.
**Type:** object

**Properties:**
- **legalMessage** (string)
  - Information that eBay is legally obligated to show to the buyer. This field can be null, in which case do nothing. But if this field is not null, the value of this field **must** appear on the checkout page.  
  
**Note:** This field is not used for US purchases.
- **privacyPolicyWebUrl** (string)
  - Reserved for future use.
- **requiredForUserConfirmation** (boolean)
  - Reserved for future use.
- **userAgreementWebUrl** (string)
  - Reserved for future use.

### PaymentMethodTypeEnum
**Description:** An enumerated type for the values that represent a method of payment. | - **CREDIT_CARD**: This value indicates that the payment was made using a credit card. - **WALLET**: This value has been deprecated. - **CASH**: This value indicates that the payment was made using cash.
**Type:** object

### PricingSummary
**Description:** The container that returns information about the costs of the order, such as the total cost, discounts, etc., of all the line items.
**Type:** object

**Properties:**
- **additionalSavings** (Amount)
  - The total amount of the coupon discounts in the purchase order.
- **addonServicesFee** (Amount)
  - The total amount of fees for all add-on services among all line items. If the checkout session does not include any add-on services, this value is returned as zero.
- **adjustment** (Adjustment)
  - The total amount of any seller adjustments. An adjustment can be a credit or debit. This is used to catch any monetary changes to the order that are not already captured in one of the other fields.
- **deliveryCost** (Amount)
  - The shipping cost for all of the line items after any shipping discounts are applied.  
  
Let's say there are four line items, and the shipping cost for each line item is $5. One of the line items qualifies for free shipping. The **deliveryCost** value would be $15, which is the total cost for shipping all of the line items after the discount is applied.
- **deliveryDiscount** (Amount)
  - The total amount of the order shipping discounts for all of the line items, such as free shipping.  
  
Let's say there are four line items, and the shipping cost for each line item is $5. One of the line items qualifies for free shipping. The **deliveryDiscounts** value would be 5, which is the value of the free shipping discount.  
  
**Note:** This will always be a negative number.
- **fee** (Amount)
  - The total amount of any fees for all the line items, such as a recycling fee.
- **importCharges** (Amount)
  - The sum of all the Global Shipping Program import charges for all the line items.
- **importDuties** (Amount)
  - The total amount of import duties for all line items, which is paid by the buyer when checking out.  
  
**Note:** This is applicable only for eBay International Shipping (eIS) orders, and eIS is only available to sellers on US marketplace.  
  
For GSP orders, the import charges will be shown in the `pricingSummary.importCharges` container.
- **importTax** (ImportTax)
  - This container provides the type of import tax applicable to the order, and the total amount of tax for all line items in the order.
- **priceDiscount** (Amount)
  - The total amount of all the item discounts for all line items, such as Buy 1 Get 1 free.  
  
Let's say there were 4 line items. One of the line items qualifies for free shipping, which is $5 and two items qualify for a Buy 1 Get 1 offer, which is a $6 and a $15 discount.  
  
The **priceDiscount** value would be 21, which is the total of the two Buy 1 Get 1 discounts. The shipping discount in not included. It is returned in the **deliveryDiscount** field.  
  
**Note:** This will always be a negative number.
- **priceSubtotal** (Amount)
  - The total amount for all the line items taking into account the item quantity but before adding in taxes and shipping costs, or applying discounts, fees, and adjustments.  
  
**Note:** The price includes the value-added tax (VAT) for applicable jurisdictions when requested from supported marketplaces. In this case, users must pass the [`X-EBAY-C-MARKETPLACE-ID`](/api-docs/static/rest-request-components.html#HTTP) request header specifying the supported marketplace (such as `EBAY_GB`) to see VAT-inclusive pricing. For more information on VAT, refer to [VAT Obligations in the EU](https://www.ebay.co.uk/help/listings/default/vat-obligations-eu?id=4650&st=12&pos=1&query=Your%20VAT%20obligations%20in%20the%20EU&intent=VAT).
- **tax** (Amount)
  - The total amount of the taxes for all the line items.
- **total** (Amount)
  - The total of the purchase order.  
  
**total** = **priceSubtotal** + **priceDiscount** + **deliveryCost** + **deliveryDiscounts** + **tax** + **additionalSavings** + **adjustment** + **fee** + **importCharges**  
  
**Note:** **additionalSavings**, **deliveryDiscounts**, and **priceDiscount** are negative numbers.

### Promotion
**Description:** The container that defines the fields for the details of an item promotion.
**Type:** object

**Properties:**
- **discount** (Amount)
  - The container that returns the monetary value of the promotional discount.  
  
**Note:** eBay Bucks are not supported.
- **discountPercentage** (string)
  - The discount percentage for the items in this line item. For example, a seller item discount, such as Buy 1 Get 1, or a coupon. **Note:** The purchase order methods do not support this field.
- **message** (string)
  - The text for the promotion title, which describes the promotion. For example, Buy 1 Get 1.
- **promotionCode** (string)
  - An identifier of the promotion, which was generated by the system when the promotion was created.  
  
**Note:** No data is returned in this field for the **getPurchaseOrder** method.
- **promotionType** (string)
  - Indicates the kind of promotion. Some examples are: `SellerDiscountedPromotionalOffer` and `COUPON`.

### ProvidedPaymentInstrument
**Description:** The type that defines the fields for reference information about the payment method. This is returned only if you have used the **updatePaymentInfo** method to change the payment method.
**Type:** object

**Properties:**
- **paymentInstrumentReference** (PaymentInstrumentReference)
  - The container that returns the payment reference, such as last four digits of a credit card.
- **paymentMethodBrand** (PaymentMethodBrand)
  - The container that returns the name and logo of the payment company (brand), such as Visa.
- **paymentMethodType** (PaymentMethodTypeEnum)
  - An enumeration value that indicates the method of payment, such as CREDIT\_CARD.

### PurchaseOrder
**Description:** The type that defines the fields for a purchase order, including line items, costs and charges, payment method, and the purchase order status.
**Type:** object

**Properties:**
- **appliedCoupons** (array)
  - The container that returns the information for the coupons that were applied in the order.  
  
**Note:** This container is not returned for the **getPurchaseOrder** and **getGuestPurchaseOrder** methods.
- **lineItems** (array)
  - An array of line items in the purchase order.
- **paymentInstrument** (PaymentInstrument)
  - The payment method used for the purchase order.
- **pricingSummary** (PricingSummary)
  - The container that returns the monetary details of the order.
- **purchaseOrderCreationDate** (string)
  - The timestamp of when the purchase order was created.
- **purchaseOrderId** (string)
  - The unique identifier of the purchase order. This value was returned in the **purchaseOrderId** field by the [placeOrder](/develop/api/buy/order_api_v1#buy-order_api_v1-checkout_session-placeorder) method.
- **purchaseOrderPaymentStatus** (PurchaseOrderPaymentStatusEnum)
  - An enumeration value that indicates the status of the payment for the purchase order.
- **purchaseOrderStatus** (PurchaseOrderStatusEnum)
  - The container for the current status of the buyer's payment and any refund that applies to the purchase order.
- **purchaseOrderWebUrl** (string)
  - The URL to the Order Details page on eBay.
- **refundedAmount** (Amount)
  - The total amount of any refunds for purchase order.
- **shippingAddress** (ShippingAddress)
[...]
